{ pkgs, ... }:

let
  package = pkgs.unstable.gotosocial;
in
{
  services = {
    gotosocial = {
      enable = true;
      package = package;
      settings = {
        application-name = "Nolan's Social Media";
        host = "gts.thewordnerd.info";
        port = 8081;
        landing-page-user = "nolan";
      };
    };

    caddy.virtualHosts."gts.thewordnerd.info".extraConfig = ''
      reverse_proxy http://localhost:8081
    '';
  };
  environment.systemPackages = [ package ];
}
