{ config, ... }:

{
  services = {
    prometheus = {
      enable = true;
      scrapeConfigs = [
        {
          job_name = "thewordnerd";
          static_configs = [
            {
              targets = [ "127.0.0.1:${toString config.services.prometheus.exporters.node.port}" ];
            }
          ];
        }
      ];
    };
    caddy.virtualHosts."prometheus.tailc50184.ts.net".extraConfig = ''
      bind tailscale/prometheus
      reverse_proxy localhost:9090
    '';
  };
}
